#pragma once

#include "Battle/Action.h"

#include <random>

class Player;
class Ship;

class Escape : public Action {
public:
    Status operator()(Player* player, Ship* enemyShip) override;
    Type type() const override { return Action::Type::Escape; }

private:
    static std::random_device _rd;
    std::mt19937 _seed{_rd()};
};